aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/bin/onos-check-flows
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/onos/tools/test/bin/onos-check-flows')
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-check-flows15
1 files changed, 15 insertions, 0 deletions
diff --git a/framework/src/onos/tools/test/bin/onos-check-flows b/framework/src/onos/tools/test/bin/onos-check-flows
new file mode 100755
index 00000000..6debebcd
--- /dev/null
+++ b/framework/src/onos/tools/test/bin/onos-check-flows
@@ -0,0 +1,15 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Checks ONOS summary data
+# -----------------------------------------------------------------------------
+
+aux=/tmp/stc-$$.log
+trap "rm -f $aux 2>/dev/null" EXIT
+
+onos ${1:-$OCI} "onos:flows" > $aux
+cat $aux
+
+let status=0
+grep "PENDING_" $aux && let status=status+1
+
+exit $status \ No newline at end of file